* {
  box-sizing: border-box;
}
.body {
  background: #143d59;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  color: #ffe042;
}
.wrapper {
  width: 80vw;
  margin: 0 auto;
}
.nav-btn {
  background: #ffe042;
  color: #143d59;
  padding: 5px 30px;
  font-size: 15px;
  text-transform: uppercase;
  display: inline-block;
  font-weight: 700;
  border-radius: 5px;
  box-shadow: 0 5px 15px 0 rgb(0 0 0 / 15%);
  transition: 0.3s;
  text-decoration: none;
  user-select: none;
}
.nav-btn:hover {
  transform: translateY(-3px);
  background: #fafaff;
}
.action-btn {
  color: #143d59;
  padding: 5px 5px;
  font-size: 13px;
  text-transform: uppercase;
  font-weight: 700;
  user-select: none;
}
.navigation-panel {
  display: flex;
  justify-content: space-around;
  padding: 5px 0 0;
}
.forms {
  padding: 10px 20px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.form {
  display: flex;
  gap: 20px;
  margin: 0 auto;
}
.input {
  border: 0;
  border-radius: 4px;
  background: #fff;
  height: 27px;
  width: 220px;
}
.input:disabled {
  background: #626262;
}
.color {
  border: 0;
  padding: 0;
  width: 27px;
  height: 27px;
  cursor: pointer;
}
.race-controls {
  display: flex;
  justify-content: center;
  gap: 20px;
}
.main-panel {
  overflow: hidden;
}
.main-screan-wrapper {
  width: fit-content;
  display: flex;
}
.garage {
  min-height: 500px;
  width: 80vw;
  margin: 0 0 0 0;
  transition: margin-left 0.3s 0.3s;
  height: 77vh;
}
.moveleft {
  margin: 0 0 0 -80vw;
}
.winners {
  min-height: 500px;
  width: 80vw;
  background: #9f9f9f;
  color: #143d59;
  margin: 0;
  padding: 0 0 0 5px;
  height: 77vh;
}

.pagination-panel {
  padding: 5px 0;
  display: flex;
  gap: 10px;
  justify-content: end;
}
.car-container {
  margin: 20px 0 0;
  position: relative;
}
.controll-buttons {
  display: flex;
  gap: 10px;
}
.road {
  border-bottom: 3px dashed #fff;
  position: relative;
  height: 53px;
}
.car {
  position: absolute;
  bottom: -10px;
  left: -10px;
}
.flag {
  transform: scaleX(-1);
  position: absolute;
  font-size: 40px;
  bottom: 0px;
  right: 80px;
}

.winners-heading,
.garage-heading {
  font-size: 25px;
  font-weight: 700;
  padding: 15px 0 5px 5px;
  display: flex;
  gap: 50px;
}

.sort-by-btn {
  cursor: pointer;
  user-select: none;
}
.message {
  position: absolute;
  bottom: 24%;
  left: 7%;
  color: red;
  font-weight: 700;
  font-size: 21px;
  width: 430px;
  text-align: center;
  margin-right: -50%;
}

.winner-mesage {
  display: none;
  color: #ffe042;
  background: #143d59;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  font-size: 50px;
  width: 500px;
  border: 3px solid palevioletred;
}
.winner-mesage.display {
  display: block;
}
.hide-panel-wrapper {
  background: #143d59;
  position: fixed;
  width: 100%;
  display: none;
  height: 123px;
}
